@use '~@angular/material' as mat;
@import 'src/theme.scss';

:host {
  display: block;
}

h2 {
  margin-top: 0;
  margin-bottom: 1rem;
}

.block {
  & + .block {
    // border-top: solid 0.01rem mat.get-color-from-palette($kompakkt-primary, 500);
    // padding-top: 1rem;
    margin-top: 1rem;
  }
}

img {
  display: block;
  height: 3rem;
}

p {
  span + span {
    margin-left: 0.5rem;
  }
}

.mat-expansion-panel-header-title {
  font-size: 1rem;
  color: mat.get-color-from-palette($kompakkt-primary, 500);
  line-height: 1rem;
}

div.licence-block {
  display: flex;
  flex-flow: row wrap;
  gap: 1em;
  align-items: center;
}

.hierarchy-entry {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.hierarchy-label {
  font-size: 1.1em;
  padding: 3px;
  width: 100%;
  max-width: 400px;
}

.hierarchy-label.active {
  background-color: #e7e7e7;
}
